4Suite™ API Documentation

# ► Module Ft.Server.Server.Http.Soap.Handler

Exposes the SCore interface over SOAP
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: RawFileSoapImp, SoapHandler |  |  |  | Functions: CreateResource, DeleteResource, FetchResource, GenericResourceMethod, VersaQueryHandler |  |  |  | Fields: FTSS_SOAP_NS, SOAP_ENCODING_STYLE, SOAP_NS, XMLSCHEMA_INSTANCE_NS

## Classes

class RawFileSoapImp

### Methods

__init__(self, res)
execute(self, reqel, respbody, logFile)
See if we define the requested action, ifso call that, otherwise, just call it on the resource

### Fields

integerArguments = ['createDocument.forcedType', 'createContainer.createParents']
resourceNameMapping = {1: 'Container', 3: 'RawFile', 4: 'XmlDocument'}

class SoapHandler(Ft.Server.Server.Http.BaseRequestHandler.BaseRequestHandler)

### Methods

SOAPAuthenticate(self, SOAPdoc)
__init__(self, connection)
do_POST(self)
Handle a POST request that is a SOAP message
getRepository(self, sendError=1)
Overidden to account for session handshaking
get_form_encoding(self, form)

### Methods inherited from class Ft.Server.Server.Http.BaseRequestHandler.BaseRequestHandler

authChecker, do_OPTIONS, generateRepoPath, getMimeHeaders, getRemoteHostname, getRequestArgs, getRequestBody, handle, joinQueryArgs, localDateTimeString, logTransaction, parseUri, processRequest, processResponse, readRequest, readRequestLine, rfcDateTimeString, send_error, unhandledException

### Fields

NS_TO_HANDLER_MAPPING = {'http://rdfinference.org/versa/0/2/': {'versa-query': <function VersaQueryHandler>}}

### Fields

## Functions

CreateResource(repo, reqel, respbody)
DeleteResource(repo, reqel, respbody)
FetchResource(repo, reqel, respbody)
GenericResourceMethod(repo, reqel, respbody, logFile)
VersaQueryHandler(repo, reqel, respbody, logFile)
Handler for Versa Queries

## Fields

FTSS_SOAP_NS = 'http://xmlns.4suite.org/reserved#services'
SOAP_ENCODING_STYLE = 'http://schemas.xmlsoap.org/soap/encoding/'
SOAP_NS = 'http://schemas.xmlsoap.org/soap/envelope/'
XMLSCHEMA_INSTANCE_NS = 'http://www.w3.org/2001/XMLSchema-instance'